I am trying to install edublog theme. It seems you're not

I am trying to install edublog theme. It seems you're not supporting it? When I finally skipped the attempt to directly install it, and downloaded it then tried to upload, it gave me an "install error" of "The package could not be installed. The theme is missing the style.css stylesheet."

Can you please let me know how I can use this theme?

ps - your support system would only let me select already installed plugins, so I selected one.